---
stages:
  - deploy

deploy:
  tags:
    - archiver
  stage: deploy
  image: python:3.6
  before_script:
    - >
      pip install py-epicsarchiver
      -i https://artifactory.esss.lu.se/artifactory/api/pypi/pypi-virtual/simple
  script:
    - echo "test"
    - python process_archives.py -v --before-sha $CI_COMMIT_BEFORE_SHA --sha $CI_COMMIT_SHA --host $ARCHIVER_HOST
  only:
    refs:
      - master@archiver-appliance/archiver-appliance-config-aa-linac-prod
    changes:
      - "*/*.archive"
